Server Support Forum
Letzte Aktuellste php 5.3 Version Installieren?

Zurück   Server Support Forum > >


Antwort
 
Themen-Optionen Bewertung: Bewertung: 2 Stimmen, 1,00 durchschnittlich.
  #16  
Alt 23.11.2014, 10:51
netzreiter netzreiter ist offline
Registered User
 
Registriert seit: 12.2012
Beiträge: 90
Danke wie kann ich bei dem befehl das richtige verzeichnis angeben?
Code:
make
make test # optional
make install
Mit Zitat antworten
  #17  
Alt 23.11.2014, 11:04
XioniX XioniX ist offline
Registered User
 
Registriert seit: 08.2006
Beiträge: 290
Das hört sich leider so an, als ob du das Lenkrad im Auto nicht findest

Meine Meinung: Fahr den Server runter und lass gut sein, so kann und wird das einfach nicht gut gehen...
Mit Zitat antworten
  #18  
Alt 23.11.2014, 11:05
Benutzerbild von nexus
nexus nexus ist offline
Registered User
 
Registriert seit: 06.2011
Beiträge: 1.431
Zitat:
Zitat von netzreiter Beitrag anzeigen
Danke wie kann ich bei dem befehl das richtige verzeichnis angeben?
Guckst du hier
Mit Zitat antworten
  #19  
Alt 23.11.2014, 12:12
svenr svenr ist offline
Registered User
 
Registriert seit: 07.2009
Ort: Schweitenkirchen
Alter: 42
Beiträge: 1.005
Zitat:
Zitat von netzreiter Beitrag anzeigen
Danke wie kann ich bei dem befehl das richtige verzeichnis angeben?
....
Du hast die Install in /tmp/phpverzeichnissblabla begonnen... da musste wieder hin.
Nach dem ausloggen und erneuten connect biste im Userhome.

Der obige Link zu Galileo erklärt weiteres von Grund auf.


Gruß Sven
__________________
Mit Zitat antworten
  #20  
Alt 23.11.2014, 13:50
GwenDragon GwenDragon ist offline
Registered User
 
Registriert seit: 12.2008
Ort: Franken
Alter: 57
Beiträge: 2.962
cd /tmp/php-5.3.29
make
make test
make install

Viel Erfolg und auch beim patchen der Sicherheitslücken (nur mit viel Fachwissen möglich) in der 5.3.x (sieh Changelog).
__________________
die Gwen, also die Drachin... nix anderscht!

Geändert von GwenDragon (23.11.2014 um 13:55 Uhr)
Mit Zitat antworten
  #21  
Alt 23.11.2014, 14:55
Benutzerbild von nexus
nexus nexus ist offline
Registered User
 
Registriert seit: 06.2011
Beiträge: 1.431
Zitat:
Zitat von netzreiter Beitrag anzeigen
Der Übeltäter ist ja schon ausgemacht,ich möchte das Plugin aber behalten.
Ich hab mir grad mal das Plugin angeschaut.
Ist das wirklich dein Ernst, daß du für eine Funktion, die kaum einen Mehrwert bietet, deine Serversicherheit ins Wanken bringst?

Naja...muß jeder selber wissen...
Mit Zitat antworten
  #22  
Alt 24.11.2014, 08:26
Benutzerbild von danton
danton danton ist offline
Registered User
 
Registriert seit: 04.2009
Ort: Ennigerloh
Alter: 44
Beiträge: 2.396
Letzte Aktuellste php 5.3 Version Installieren?
Ich würde ja das Plugin fixen, statt da mit einer nicht mehr supporteten PHP-Version weiter zu arbeiten. Und wenn ich mir den weiter oben verlinkten Thread im Woltlab-Forum so anschaue, scheint diese Plugin ja eine nicht vorhandene Funktion aufzurufen. Das würde bei mir schon ein sehr mulmiges Gefhl bezüglich der Qualität dieses Plugins hinterlassen und ich es schon alleine aus diesem Grund nicht mehr einsetzen wollen.
__________________
Event-List - PHP/MySQL-Veranstaltungskalender für die eigene Homepage
Mit Zitat antworten
  #23  
Alt 25.11.2014, 13:02
netzreiter netzreiter ist offline
Registered User
 
Registriert seit: 12.2012
Beiträge: 90
Zitat:
Zitat von danton Beitrag anzeigen
Ich würde ja das Plugin fixen, statt da mit einer nicht mehr supporteten PHP-Version weiter zu arbeiten. Und wenn ich mir den weiter oben verlinkten Thread im Woltlab-Forum so anschaue, scheint diese Plugin ja eine nicht vorhandene Funktion aufzurufen. Das würde bei mir schon ein sehr mulmiges Gefhl bezüglich der Qualität dieses Plugins hinterlassen und ich es schon alleine aus diesem Grund nicht mehr einsetzen wollen.
Das hatte ich auch schon in betracht gezogen,aber leider fehlen mir die Kenntnisse was ich in den PHP Dateien ändern müsste.
Mit Zitat antworten
  #24  
Alt 25.11.2014, 22:11
Benutzerbild von danton
danton danton ist offline
Registered User
 
Registriert seit: 04.2009
Ort: Ennigerloh
Alter: 44
Beiträge: 2.396
Letzte Aktuellste php 5.3 Version Installieren?
Aber selbstständig Sicherheitslücken in deiner veralteten PHP-Version schließen kannst du? Und zur Qualität des Plugins habe ich oben schon was geschrieben.
Um es noch mal zusammenzufassen: Du installierst auf deinem Server eine unsichere (da veraltete) PHP-Version, damit du ein Plugin weiterbetreiben kannst, welches fehlerhaft ist (wobei der Fehler mit der älteren Version PHP-Version nur nicht angezeigt wird - er ist aber da) und du kannst selber nicht beurteilen, ob das Plugin nicht noch weitere Fehler hat, die die Sicherheit deines Servers negativ beeinflussen. FIndest du dein Vorhaben immer noch so gut?
Nur mal so ganz nebenbei: Bei gehackten Webseiten ist oft nicht das CMS selbst das Problem, sondern schlecht programmierte Plugins (IIRC waren vor einigen Jahren viele Mambo/Joomla-Hacks auf fehlerhafte Plugins zurückzuführen).
__________________
Event-List - PHP/MySQL-Veranstaltungskalender für die eigene Homepage
Mit Zitat antworten
  #25  
Alt 25.11.2014, 23:02
Benutzerbild von nexus
nexus nexus ist offline
Registered User
 
Registriert seit: 06.2011
Beiträge: 1.431
Zitat:
Zitat von danton Beitrag anzeigen
Aber selbstständig Sicherheitslücken in deiner veralteten PHP-Version schließen kannst du?
Diese Frage hat der TO indirekt in diesem Thread schon beantwortet
Ich kann die Intention des TO auch nicht ganz nachvollziehen. Nur damit seine Forenuser (durch das fragliche Plugin) darüber informiert werden, wenn einer ihrer Beiträge moderiert wurde, riskiert er die Sicherheit des Servers und damit letztlich auch seines Forums.
Ich würde ja gern mal sein Gesicht sehen, wenn im Worstcase jemand unberechtigt Zugriff auf den Server erlangt und ihm die Foren-DB einfach löscht (und er vermutlich nicht mal ein aktuelles DB-Backup vorhält)...

Die einfachste und sicherste Lösung für das Problem: Plugin entfernen, glücklich sein
Mit Zitat antworten
  #26  
Alt 26.11.2014, 08:22
Benutzerbild von danton
danton danton ist offline
Registered User
 
Registriert seit: 04.2009
Ort: Ennigerloh
Alter: 44
Beiträge: 2.396
Letzte Aktuellste php 5.3 Version Installieren?
Ja, den Thread hatte ich auch schon gesehen - ich wollte nur noch mal klar zeigen, was das Installieren der alten Version bedeutet. Zumal der Autor des Plugins den Fehler sogar zu kennen scheint, aber nix passiert.
__________________
Event-List - PHP/MySQL-Veranstaltungskalender für die eigene Homepage
Mit Zitat antworten
Antwort

Lesezeichen

Stichworte
404, found, not, php, version

Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist aus.
HTML-Code ist aus.

Gehe zu

Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Zweite PHP Version auf vServer mit Plesk installieren? Superadmin Plesk 2 19.10.2014 00:11
weitere PHP-Version unter PLESK 11.5 installieren HomerS Suche 2 15.10.2014 13:36
php Version ansprechen und konfigurieren/installieren musti19 Webserver 0 06.02.2012 11:30
Aktualisierte Version von SSL (über)installieren lukelukeluke Security 3 03.10.2009 00:45
Updaten auf die aktuellste PHP5 Version! Aquafresh Perl / PHP / Python / bash 14 24.06.2007 12:31


Letzte Aktuellste php 5.3 Version Installieren?
Letzte Aktuellste php 5.3 Version Installieren?
Letzte Aktuellste php 5.3 Version Installieren? Letzte Aktuellste php 5.3 Version Installieren?
Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Search Engine Optimisation provided by DragonByte SEO (Pro) - vBulletin Mods & Addons Copyright © 2017 DragonByte Technologies Ltd.